Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.jca.outbound
Class CXFConnectionSpec

    java.lang.Object
      org.apache.cxf.jca.outbound.CXFConnectionSpec

All Implemented Interfaces:
  javax.resource.spi.ConnectionRequestInfo

    public class CXFConnectionSpec

extends java.lang.Object
implements javax.resource.spi.ConnectionRequestInfo

The CXFConnectionSpec contains properties that needed for obtaining a `CXFConnection`.

Constructor Summary
`CXFConnectionSpec()`

Method Summary
`boolean` | `equals(java.lang.Object other)`
`java.lang.String` | `getAddress()`
`java.net.URL` | `getBusConfigURL()`
`javax.xml.namespace.QName` | `getEndpointName()`
`java.lang.Class<?>` | `getServiceClass()`
`javax.xml.namespace.QName` | `getServiceName()`
`java.net.URL` | `getWsdlURL()`
`int` | `hashCode()`
`void` | `setAddress(java.lang.String address)`
`void` | `setBusConfigURL(java.net.URL busConfigURL)`
`void` | `setEndpointName(javax.xml.namespace.QName endpointName)`
`void` | `setServiceClass(java.lang.Class<?> serviceClass)`
`void` | `setServiceName(javax.xml.namespace.QName serviceName)`
`void` | `setWsdlURL(java.net.URL wsdlURL)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CXFConnectionSpec

    public CXFConnectionSpec()

Method Detail

### getServiceClass

    public java.lang.Class<?> getServiceClass()

  Returns:
    the serviceClass

### setServiceClass

    public void setServiceClass(java.lang.Class<?> serviceClass)

  Parameters:
    `serviceClass` - the serviceClass to set

### getWsdlURL

    public java.net.URL getWsdlURL()

  Returns:
    the wsdlURL

### setWsdlURL

    public void setWsdlURL(java.net.URL wsdlURL)

  Parameters:
    `wsdlURL` - the wsdlURL to set

### getBusConfigURL

    public java.net.URL getBusConfigURL()

  Returns:
    the busConfigURL

### setBusConfigURL

    public void setBusConfigURL(java.net.URL busConfigURL)

  Parameters:
    `busConfigURL` - the busConfigURL to set

### getServiceName

    public javax.xml.namespace.QName getServiceName()

  Returns:
    the serviceName

### setServiceName

    public void setServiceName(javax.xml.namespace.QName serviceName)

  Parameters:
    `serviceName` - the serviceName to set

### getEndpointName

    public javax.xml.namespace.QName getEndpointName()

  Returns:
    the endpointName

### setEndpointName

    public void setEndpointName(javax.xml.namespace.QName endpointName)

  Parameters:
    `endpointName` - the endpointName to set

### getAddress

    public java.lang.String getAddress()

  Returns:
    the address

### setAddress

    public void setAddress(java.lang.String address)

  Parameters:
    `address` - the address to set

### equals

    public boolean equals(java.lang.Object other)

  Specified by:
    `equals` in interface `javax.resource.spi.ConnectionRequestInfo`
  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `javax.resource.spi.ConnectionRequestInfo`
  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF